curs_bkgd(3X)

NAME
curs_bkgd: bkgdset, wbkgdset, bkgd, wbkgd - ncurses window background manipulation routines

SYNOPSIS
#include <ncurses.h> void bkgdset(chtype ch);
void wbkgdset(WINDOW *win, chtype ch);
int bkgd(chtype ch);
int wbkgd(WINDOW *win, chtype ch);

DESCRIPTION
The bkgdset and wbkgdset routines manipulate the background of the named window. Background is a chtype consisting of any combination of attributes and a character. The attribute part of the background is combined (ORed) with all non-blank characters that are written into the window with waddch. Both the character and attribute parts of the background are combined with the blank characters. The background becomes a property of the character and moves with the character through any scrolling and insert/delete line/character operations. To the extent possible on a particular terminal, the attribute part of the background is displayed as the graphic rendition of the character put on the screen. The bkgd and wbkgd routines combine the new background with every position in the window. Background is any combination of attributes and a character. Only the attribute part is used to set the background of non-blank characters, while both character and attributes are used for blank positions. To the extent possible on a particular terminal, the attribute part of the background is displayed as the graphic rendition of the character put on the screen.

RETURN VALUE
bkgd and wbkgd return the integer OK, or a non-negative integer, if immedok is set.

NOTES
Note that bkgdset and bkgd may be macros.

BUGS
immedok is not yet implemented in ncurses 1.8.6.

SEE ALSO
ncurses(3X), curs_addch(3X), curs_outopts(3X)